<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################


// Класс для определения времени скрипта и подсчета скорости генерации страници
class Tgen
{
public function startTimer()
{
global $starttime;
$mtime = microtime ();
$mtime = explode (' ', $mtime);
$mtime = $mtime[1] + $mtime[0];
$starttime = $mtime;
}
public function endTimer()
{
global $starttime;
$mtime = microtime ();
$mtime = explode (' ', $mtime);
$mtime = $mtime[1] + $mtime[0];
$endtime = $mtime;
$endtime = round ((($endtime - $starttime)/10), 4);
return $endtime;
}
}
// Подключаем класс
$debag  = new Tgen;
// Выводим время
$debag->startTimer();

if (function_exists('mb_internal_encoding')) mb_internal_encoding('UTF-8');
// Отключаем показ ошибок, на всякий случай :)
@error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', false);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);
@ini_set('url_rewriter.tags', '');
@ini_set('session.use_trans_sid', 1);

session_name('SID');// Имя сессии
session_start(); // Стартуем сессию

$SID =session_id();
$SID=md5(rand(09009,999999));

/*
session_name('SID');
session_start();
$sess=mysql_escape_string(session_id());
error_reporting(0);
//Error_Reporting(E_ALL & ~E_NOTICE);
ini_set('display_errors',8);
ini_set('register_globals', 0);
ini_set('session.use_cookies', 1);
ini_set('arg_separator.output', "&amp;");

set_time_limit(999999999999);*/

// Определяем корень
$flevel = NULL;
$flevelk=0;
while (!is_file($flevel.'config.php') && $flevelk<20)
{
$flevel.='../';
$flevelk++;
}
define('H', $flevel);
define('F', 'http://'.$_SERVER['HTTP_HOST'].'/forum/');
define('H2', 'http://'.$_SERVER['HTTP_HOST'].'/');

// Устанавливаем соединение с БД
require_once H."sys/db_class.php";//подключаем Класс для работы с бд
$db = new sql_db(DB_host, DB_user, DB_pass, DB_db, false);
if(!$db->db_connect_id)
{
echo '<div align="center">Чат недоступен по техническим причинам! Приносим свои извинения!<br />Проверьте настройки соединения с БД!<br /></div>';
exit;
}
if($db_charset_utf) $db->sql_query("SET NAMES utf8");


// Получаем основные переменные и сразу их фильтруем
$id = isset ($_REQUEST['id']) ? trim($_REQUEST['id']) : false;
$m = isset ($_REQUEST['m']) ? abs(intval($_REQUEST['m'])) : false;
$page = isset ($_REQUEST['page']) && $_REQUEST['page'] > 0 ? abs(intval($_REQUEST['page'])) : 1;
$start = isset ($_REQUEST['start']) ? abs(intval($_REQUEST['start'])) : 0;
$act = isset ($_REQUEST['act']) ? trim($_REQUEST['act']) : '';
$mod = isset ($_REQUEST['mod']) ? trim($_REQUEST['mod']) : '';
$do = isset ($_REQUEST['go']) ? trim($_REQUEST['go']) : '';

?>